<?

 
Function SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC)
{


require_once('class.phpmailer.php');
//include("class.smtp.php"); // optional, gets called from within class.phpmailer.php if not already loaded

$mail = new PHPMailer(true); // the true param means it will throw exceptions on errors, which we need to catch

$mail->IsSMTP(); // telling the class to use SMTP

try {
  $mail->Host       = "mail.bellmexicofacturacion.com.mx"; // SMTP server
  //$mail->SMTPDebug  = 2;                     // enables SMTP debug information (for testing)
  //$mail->SMTPAuth   = true;                  // enable SMTP authentication
  //$mail->SMTPSecure = "ssl";                 // sets the prefix to the servier
  $mail->Port       = 25;                   // set the SMTP port for the GMAIL server
  $mail->Username   = "no_reply@bellmexicofacturacion.com.mx";  // GMAIL username
  $mail->Password   = "n0_r3ply";            // GMAIL password
  //$mail->AddReplyTo('no_reply@bellmexicofacturacion.com.mx', 'Portal de Proveedores - Bell Flavors');
  
  $emails = explode(",",$ParaEmail);
  $names = explode(",",$ParaNombre);
  for($i=0;$i < count($emails);$i++){
	$mail->AddAddress($emails[$i], $names[$i]);
  }
  
  $mail->SetFrom('no_reply@bellmexicofacturacion.com.mx', 'Portal de Proveedores - Bell Flavors');
  
  $mail->Subject = $SubjectMessage;
  
  $mail->AltBody = 'Correo electrónico, enviado desde el Portal de Proveedores - Bell Flavors!'; // optional - MsgHTML will create an alternate automatically
  /*if (file_exists($BodyHTMLFileMessage)) {
    $mail->MsgHTML(file_get_contents($BodyHTMLFileMessage));
  } else {
    $mail->MsgHTML("No se especifico el cuerpo del mensaje o no existe el archivo indicado");  
  }*/
  
  $mail->MsgHTML($BodyHTMLFileMessage);
  
  
    if (file_exists($AdjuntoA)) {
        $mail->AddAttachment($AdjuntoA); }
    if (file_exists($AdjuntoB)) {
        $mail->AddAttachment($AdjuntoB); }
    if (file_exists($AdjuntoC)) {
        $mail->AddAttachment($AdjuntoC); }
  
  //$mail->Send();
  if(!$mail->Send()) {
      //echo "<p>: </p>\n" . $mail->ErrorInfo;
			/*echo "<script language='javascript'>
				alert('No se pudo enviar un correo a su cuenta.');
			</script>";*/
		return false;
    } else {
			/*echo "<script language='javascript'>
			alert('En breves instantes recibira un correo.');
			</script>";*/
		return true;
    }
  
  //echo "Message Sent OK</p>\n";
} catch (phpmailerException $e) {
  echo $e->errorMessage(); //Pretty error messages from PHPMailer
  return false;
} catch (Exception $e) {
  echo $e->getMessage(); //Boring error messages from anything else!
  return false;
}



}

?>